"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeAppendError = exports.writeConfig = void 0;
const util_1 = require("util");
const fs_extra_1 = __importDefault(require("fs-extra"));
function writeConfig(config) {
    console.debug('\ngatsby-plugin-purgecss: Writing config to gatsby-plugin-purgecss-debug-config.js');
    try {
        fs_extra_1.default.writeFileSync('gatsby-plugin-purgecss-debug-config.js', (0, util_1.inspect)(config, { depth: 15 }), 'utf8');
        return 0;
    }
    catch (error) {
        console.log('\nCould not write file.');
        console.log(error);
        return -1;
    }
}
exports.writeConfig = writeConfig;
function writeAppendError(errorMessage) {
    console.debug('gatsby-plugin-purgecss: Writing errors to gatsby-plugin-purgecss-debug.js');
    try {
        fs_extra_1.default.appendFileSync('gatsby-plugin-purgecss-debug.js', (0, util_1.inspect)(errorMessage), 'utf8');
        return 0;
    }
    catch (error) {
        console.log('\nCould not write file.');
        console.log(error);
        return -1;
    }
}
exports.writeAppendError = writeAppendError;
